> For the complete documentation index, see [llms.txt](https://docs.ccv.brown.edu/archive/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ccv.brown.edu/archive/bootcamp-2022/schedule/wednesday-5-may.md).

# Wednesday, 8 June

Research Computing at Brown

Today's tutorials will occur along three tracks running concurrently. Each tab below corresponds to one of these tracks. The tutorials associated with each track are listed on the relevant tab.

{% tabs %}
{% tab title="Intermediate Oscar" %}

### Building Software on Oscar | 9:30 - 11:00 EDT

Learn how to build and install software packages on Oscar. Topics covered include: make, cmake, compiler options on Oscar, pip, building python packages from source, and python virtual environments.

[slides](https://docs.google.com/presentation/d/1uYwGNHd3kz46JTkze-7zLdddBmL4kiVJzsyjZcwJL_M/edit?usp=sharing) | [exercises](https://docs.google.com/presentation/d/1JzTtaKqRXP8yl4Q-Xqjf9IiCnDEaCPb0qpADbWS5nBY/edit?usp=sharing) | [CMake example](https://github.com/kmilo9999/CMakeDemo) | [video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=0d5a5498-6fb8-4bd0-a1a7-aeb60101e41a)

### Computing with GPUs on Oscar | 11:00 - 12:30 EDT

A general Introduction to GPU architectures available on Oscar, using NGC container images to leverage RT cores on higher-end GPUs, and optimizing GPU jobs for better filesystem IO.

[video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=ec30fd1d-6dfe-43e0-9868-aeb601020412)

### Slurm for Beginners | 1:30 - 3:00 EDT

A primer on submitting jobs to the job scheduler on Oscar. Some basic familiarity with Unix/Linux systems is assumed. Topics covered include: an overview of the use of Slurm for resource allocation, submitting jobs to Slurm, and using Bash scripts to configure and submit jobs to Slurm.

[slides](https://docs.google.com/presentation/d/1NUI0DaslhflNxgWEEe1n4R0h0LjiKPUMtSakmSCqQIo/edit?usp=sharing) | [video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=5c393657-98e5-48f4-b466-aeb601022d5c)

### Advanced Slurm | 3:00 - 4:30 EDT

This workshop is for people who are already familiar with Slurm, but would like to use Slurm's more powerful features. Topics covered include: dependencies for conditional execution of jobs, job arrays for parameter sweeps, dealing with hundreds or thousands of small tasks, how to limit the number of jobs running at once, and how to cancel multiple jobs.

[slides](https://docs.google.com/presentation/d/1peB9bKZ4bAOYET2mquUV2GHHhic0b3Ls1L-9II29olc/edit?usp=sharing) | [video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=3ba0b53c-1edf-4a0f-9c5d-aeb60102691a)
{% endtab %}

{% tab title="Research Computing" %}

### Version Control with Git | 9:30 - 11:00 EDT

A practical introduction to version control for software management using Git. Topics covered include: creating a repository, checking the status of a repository, committing changes, viewing changes, reverting to older versions of files, and setting up a remote repository.

[video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=2c4e7ae1-9522-4ca8-9f3d-aeb6010b9474)

### Remote Rendering for Large Datasets | 11:00 - 12:30 EDT

Get to know this new service that uses Oscar to provide you with your own 3D render server to visualize datasets that will not fit in your desktop/laptop. We will use Paraview as a tool to interact and analyze your data. No previous experience with Oscar or Paraview is needed.

[Remote Rendering Documentation](https://docs.ccv.brown.edu/oscar/visualization/paraview-remote-rendering) | [video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=83f08084-3260-4846-9d8e-aeb6010b947f) |

[How to Video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=526cb8b8-2ce3-439b-ab84-adc001569019)

### Introduction to VR for Scientific Collaboration | 1:30 - 3:00 EDT

Learn about the various VR technologies (HMDs, CAVE systems and remote services) available through CCV for exploring scientific datasets. Examples from past collaborative projects will be demonstrated. No previous experience with VR is required.

### Secure Research Computing at Brown | 3:00 - 4:30 EDT

This talk will provide an overview of how we categorize different security needs for research data. This includes a discussion of the three risk classifications we use, and the corresponding computing platforms and tools we can use with each of the three. We will also provide a demonstration of working with the Stronghold secure computing environment, which is reserved for the most sensitive research data.

[video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=61cbce8d-5dd4-48b2-9405-aeb6010b9479)
{% endtab %}

{% tab title=" Basic Bioinformatics  " %}
**Foundations for Bioinformatics Data Analyses | 11:00 - 12:30 EDT**

This session we will discuss the most common file formats used in bioinformatics, some resources for accessing public datasets (like the SRA), and a few other helpful bioinformatics QC tools.

<https://github.com/compbiocore/ccv_bootcamp_fnds_bioinformatics_analysis/blob/main/Foundations%20of%20BioInformatics%20Data%20Analysis.ipynb>

[video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=2ffd3117-9e6a-4361-95d0-aeb6010b947e)

**Basic Bioinformatics Workflows & Workflow Management on OSCAR including NextFlow/Snakemake | 3:00 - 4:30 EDT**

This session will address how you can use and run Nextflow/Snakemake workflow tools to run publicly available bioinformatic analysis pipelines on OSCAR. We will also briefly provide an overview of tips and suggestions on specific configurations to modify the workflows.

<https://github.com/compbiocore/workflows_workshop/blob/main/Workflows.ipynb>

[video](https://brown.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=e8112cf4-e876-4b00-a67d-aeb6010bcd5d)
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ccv.brown.edu/archive/bootcamp-2022/schedule/wednesday-5-may.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
